import express from "express";
import { createUser, getUser,claimTwitterAndYoutubeReward, subscribeYoutube, getAllUser, claimReward } from "#controllers/UserWallet.controller";

const userWalletRoute = express.Router();

userWalletRoute.route("/userCreate").post(createUser);

userWalletRoute.route("/getUserDetails/:id").get(getUser);
userWalletRoute.route("/subscribeYoutube").post(subscribeYoutube);

userWalletRoute.route("/getAllUser").get(getAllUser);

userWalletRoute.route("/claimWelcomeReward").post(claimReward);
userWalletRoute.route("/claimTwitterAndYoutubeReward").post(claimTwitterAndYoutubeReward);


export default userWalletRoute;